For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTRegister Edge observability metrics.
      • POSTHeartbeat for Enterprise Edge instances.
      • GET[BETA] Connect to the streaming API.
      • POST[BETA] Disconnect all clients.
      • POSTSend metrics in bulk
      • POSTCheck which tokens are valid
      • POSTGet or create valid tokens for the requested environment

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIUnleash Edge

Get or create valid tokens for the requested environment

||View as Markdown|
POST
https://app.unleash-instance.example.com/edge/issue-token
POST
/edge/issue-token
$curl -X POST https://app.unleash-instance.example.com/edge/issue-token \
> -H "Content-Type: application/json" \
> -d '{
> "tokens": [
> {
> "environment": "development",
> "projects": [
> "default"
> ]
> }
> ]
>}'
1{
2 "tokens": [
3 {
4 "projects": [
5 "developerexperience",
6 "enterprisegrowth"
7 ],
8 "environment": "development",
9 "type": "client",
10 "token": "*:development.5c806b5320c88cf27e81f3e9b97dab298a77d5879316e3c2d806206b"
11 }
12 ]
13}

This operation accepts a list of environments/project pairs to return tokens for. If they do not exist, Unleash will generate them

Was this page helpful?
Previous

Get unknown flags

Next
Built with

Request

edgeEnvironmentProjectsListSchema
tokenslist of objectsRequired
A list of requested api tokens.

Response

validatedEdgeTokensSchema
tokenslist of objects
The list of Unleash token objects. Each object contains the token itself and some additional metadata.

Errors

400
Bad Request Error
403
Forbidden Error
413
Content Too Large Error
415
Unsupported Media Type Error